Fix: Pin urllib3 to <2.0.0 for the JJB cleanup 30/71830/1 v0.86.9
authorAnil Belur <abelur@linuxfoundation.org>
Tue, 13 Jun 2023 07:58:16 +0000 (17:58 +1000)
committerAnil Belur <abelur@linuxfoundation.org>
Tue, 13 Jun 2023 08:00:06 +0000 (18:00 +1000)
Issue: RELENG-4715
Change-Id: I8d5ef5e30682654b4212a320ffa20f061e11d828
Signed-off-by: Anil Belur <abelur@linuxfoundation.org>
releasenotes/notes/pin-urllib3-jjb-cleanup-3190e0f4c867f3d1.yaml [new file with mode: 0644]
shell/jenkins-sandbox-cleanup.sh

diff --git a/releasenotes/notes/pin-urllib3-jjb-cleanup-3190e0f4c867f3d1.yaml b/releasenotes/notes/pin-urllib3-jjb-cleanup-3190e0f4c867f3d1.yaml
new file mode 100644 (file)
index 0000000..010270b
--- /dev/null
@@ -0,0 +1,17 @@
+---
+fixes:
+  - |
+    Pin urllib3 to <2.0.0 for the JJB cleanup
+
+    The latest version of module breaks compatibility with python-jenkins.
+
+    Error:
+
+    .. code-block:: bash
+
+       ValueError: Timeout value connect was <object object at
+       0x7fe57a4948a0>, but it must be an int, float or None.
+
+    Reference:
+
+       `Launchpad#2018567 <https://bugs.launchpad.net/python-jenkins/+bug/2018567>`
index 1dd520a..5197024 100644 (file)
@@ -16,7 +16,8 @@ set -euf -o pipefail
 # shellcheck disable=SC1090
 . ~/lf-env.sh
 
-lf-activate-venv --python python3 --venv-file /tmp/.jjb_venv jenkins-job-builder
+lf-activate-venv --python python3 --venv-file /tmp/.jjb_venv \
+    jenkins-job-builder urllib3~=1.26.15
 
 # jenkins-jobs does not always open 'stdin' which may cause 'yes' to fail
 (yes || true) | jenkins-jobs -s sandbox delete-all